package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TNRoomInfo;
import com.chinaitop.depot.intelligent.basicdata.model.TNRoomInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TNRoomInfoMapper {
    int countByExample(TNRoomInfoExample example);

    int deleteByExample(TNRoomInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TNRoomInfo record);

    int insertSelective(TNRoomInfo record);

    List<TNRoomInfo> selectByExample(TNRoomInfoExample example);

    TNRoomInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TNRoomInfo record, @Param("example") TNRoomInfoExample example);

    int updateByExample(@Param("record") TNRoomInfo record, @Param("example") TNRoomInfoExample example);

    int updateByPrimaryKeySelective(TNRoomInfo record);

    int updateByPrimaryKey(TNRoomInfo record);
}